#pragma once
#ifndef __WINDROSEWIDGET_H__
#define __WINDROSEWIDGET_H__
#include <QWidget>
#include <QPainter>
#include <QObject>
#include <qwt_polar.h>

class WindRoseWidget : public QWidget
{
public:
    WindRoseWidget(QWidget *parent = nullptr);
    void paintEvent(QPaintEvent *event) override;

private:
    void drawWindRose(QPainter &painter);
};


#endif // __WINDROSEWIDGET_H__

